Name:						gridftp-ifce
Version:					2.1.4
Release:					2%{?dist}
Summary:					GridFTP library for FTS and lcgutil
Group:						Applications/Internet
License:					ASL 2.0
URL:						https://svnweb.cern.ch/trac/lcgutil
# svn export http://svn.cern.ch/guest/lcgutil/gridftp-ifce/trunk gridftp-ifce
Source0:					http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/tar/%{name}/%{name}-%{version}.tar.gz 
BuildRoot:					%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:				globus-gass-copy-devel
BuildRequires:				libtool

Requires:					globus-gass-copy%{?_isa}

%description
gridFTP-ifce is client side library for the gridFTP protocol \
using the globus toolkit.

%package devel
Summary:					Client side headers and development files
Group:						Applications/Internet
Requires:					%{name}%{?_isa} = %{version}-%{release}
Requires:					globus-gass-copy-devel%{?_isa}

%description devel
This package contains development files for %{name}

%prep
%setup -q

%build
mkdir -p src/autogen build; 
aclocal -I m4-EPEL/; 
libtoolize --force; 
autoheader; 
automake --foreign --add-missing --copy; 
autoconf
%{configure} \
--with-version=%{version} \
--with-release=%{release} 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make %{?_smp_mflags} DESTDIR=$RPM_BUILD_ROOT install;
# clear libtools files
rm -f $RPM_BUILD_ROOT/%{_libdir}/libgridftp_ifce.*a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files devel
%defattr (-,root,root)
%{_libdir}/libgridftp_ifce.so
%{_includedir}/gridftp-ifce.h
%{_docdir}/%{name}-%{version}/RELEASE-NOTES

%files
%defattr (-,root,root)
%{_libdir}/libgridftp_ifce.so.*
%{_docdir}/%{name}-%{version}/README
%{_docdir}/%{name}-%{version}/VERSION
%{_docdir}/%{name}-%{version}/LICENSE

%changelog
* Wed Apr 18 2012 Zsolt Molnar <zsolt.molnar@cern.ch> - 2.1.4-2
 - fix memory leaks, disable unused code

* Wed Jan 18 2012 Adrien Devress <adevress at cern.ch> - 2.1.3-4
 - add missing dist tag

* Sun Jan 15 2012 Adrien Devress <adevress at cern.ch> - 2.1.3-3
 - correct buildroot tag
 - add a valid Source URL
 
* Wed Jan 11 2012 <adevress at cern.ch> - 2.1.3-2
 - updating description
 - updating documentation management
 - create separated branch
 
* Tue Dec 13 2011 <adevress at cern.ch> - 2.1.3-1
 - Initial build 
